GET Forms?assetId={assetId}&formTypeId={formTypeId}&take={take}&skip={skip}&sort[0].Field={sort[0].Field}&sort[0].Dir={sort[0].Dir}&sort[1].Field={sort[1].Field}&sort[1].Dir={sort[1].Dir}&includeAttachmentContent={includeAttachmentContent}
Retrieves forms for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| formTypeId |
Id of the form type |
globally unique identifier |
None. |
| take |
Number of forms to retrieve. Default is all forms |
integer |
None. |
| skip |
Number of forms to skip before retrieval |
integer |
Default value is 0 |
| sort |
List of sorting rules to describe how to sort the forms before retrieval |
Collection of Sort |
None. |
| Operator | string |
None. |
|
| Field | string |
None. |
|
| Value | string |
None. |
|
| Logic | string |
None. |
|
| Filters | Collection of Filter |
None. |
|
| includeAttachmentContent |
Include the file contents of the form field values if applicable |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of forms.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Form |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "9979c89b-0c87-46e3-9ed4-a64fd62cdfc8",
"Asset": {
"AssetId": "6503fe76-2c6a-4fc9-a2da-fcc129d8229a",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "981553c6-5ed1-4b7d-a66c-4a3bd4ee6fe5",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "67413391-5236-4e89-ace5-69769fcf974d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "362c4077-6da6-46c2-8308-462a83a48d06",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"MeasurementValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "f94f8152-c286-4657-b2d8-5cbf8c15f4cf",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"MeasurementValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "1f936b4f-4690-45ff-9053-f1b380f261f3",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "152d0b33-14be-4fe0-9455-2e3ea3f9870e",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "981553c6-5ed1-4b7d-a66c-4a3bd4ee6fe5",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "67413391-5236-4e89-ace5-69769fcf974d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "ae82c281-a23f-48c0-ab3e-d01c01c38a42",
"Section": {
"FormTypeSectionId": "49784c7d-13b4-4bbc-b712-633334acf644",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "ba61ec03-f02d-466d-bc7b-6ce530e2e02b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "152876e9-01a0-411c-8a53-7798ec767ef7",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "21f54cac-0167-4ddc-81c4-1b80293fc056",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "ae82c281-a23f-48c0-ab3e-d01c01c38a42",
"Section": {
"FormTypeSectionId": "49784c7d-13b4-4bbc-b712-633334acf644",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "ba61ec03-f02d-466d-bc7b-6ce530e2e02b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "152876e9-01a0-411c-8a53-7798ec767ef7",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "21f54cac-0167-4ddc-81c4-1b80293fc056",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "e85d3420-8962-4df7-8003-834a13fc0f2d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-03T16:22:20.4960531-08:00",
"Location": "sample string 1",
"TaskId": "01fa4b41-23c3-406b-8d37-997816250c23",
"Values": [
{
"FormFieldValueId": "3e6b8444-8241-498a-ab9f-f7b0a2850e46",
"FormId": "411c53de-621b-4465-806a-cd1c1f13a459",
"FormTypeField": {
"FormTypeFieldId": "ae82c281-a23f-48c0-ab3e-d01c01c38a42",
"FormType": {
"FormTypeId": "152d0b33-14be-4fe0-9455-2e3ea3f9870e",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "981553c6-5ed1-4b7d-a66c-4a3bd4ee6fe5",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "67413391-5236-4e89-ace5-69769fcf974d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "e85d3420-8962-4df7-8003-834a13fc0f2d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "49784c7d-13b4-4bbc-b712-633334acf644",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "ba61ec03-f02d-466d-bc7b-6ce530e2e02b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "152876e9-01a0-411c-8a53-7798ec767ef7",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "21f54cac-0167-4ddc-81c4-1b80293fc056",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "3e6b8444-8241-498a-ab9f-f7b0a2850e46",
"FormId": "411c53de-621b-4465-806a-cd1c1f13a459",
"FormTypeField": {
"FormTypeFieldId": "ae82c281-a23f-48c0-ab3e-d01c01c38a42",
"FormType": {
"FormTypeId": "152d0b33-14be-4fe0-9455-2e3ea3f9870e",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "981553c6-5ed1-4b7d-a66c-4a3bd4ee6fe5",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "67413391-5236-4e89-ace5-69769fcf974d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "e85d3420-8962-4df7-8003-834a13fc0f2d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "49784c7d-13b4-4bbc-b712-633334acf644",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "ba61ec03-f02d-466d-bc7b-6ce530e2e02b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "152876e9-01a0-411c-8a53-7798ec767ef7",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "21f54cac-0167-4ddc-81c4-1b80293fc056",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "ec143d7d-cd28-4186-838e-f52ec5b96ed4",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 5"
},
{
"FormId": "9979c89b-0c87-46e3-9ed4-a64fd62cdfc8",
"Asset": {
"AssetId": "6503fe76-2c6a-4fc9-a2da-fcc129d8229a",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "981553c6-5ed1-4b7d-a66c-4a3bd4ee6fe5",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "67413391-5236-4e89-ace5-69769fcf974d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "362c4077-6da6-46c2-8308-462a83a48d06",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"MeasurementValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "f94f8152-c286-4657-b2d8-5cbf8c15f4cf",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"MeasurementValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "1f936b4f-4690-45ff-9053-f1b380f261f3",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "152d0b33-14be-4fe0-9455-2e3ea3f9870e",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "981553c6-5ed1-4b7d-a66c-4a3bd4ee6fe5",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "67413391-5236-4e89-ace5-69769fcf974d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "ae82c281-a23f-48c0-ab3e-d01c01c38a42",
"Section": {
"FormTypeSectionId": "49784c7d-13b4-4bbc-b712-633334acf644",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "ba61ec03-f02d-466d-bc7b-6ce530e2e02b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "152876e9-01a0-411c-8a53-7798ec767ef7",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "21f54cac-0167-4ddc-81c4-1b80293fc056",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "ae82c281-a23f-48c0-ab3e-d01c01c38a42",
"Section": {
"FormTypeSectionId": "49784c7d-13b4-4bbc-b712-633334acf644",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "ba61ec03-f02d-466d-bc7b-6ce530e2e02b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "152876e9-01a0-411c-8a53-7798ec767ef7",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "21f54cac-0167-4ddc-81c4-1b80293fc056",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "e85d3420-8962-4df7-8003-834a13fc0f2d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-03T16:22:20.4960531-08:00",
"Location": "sample string 1",
"TaskId": "01fa4b41-23c3-406b-8d37-997816250c23",
"Values": [
{
"FormFieldValueId": "3e6b8444-8241-498a-ab9f-f7b0a2850e46",
"FormId": "411c53de-621b-4465-806a-cd1c1f13a459",
"FormTypeField": {
"FormTypeFieldId": "ae82c281-a23f-48c0-ab3e-d01c01c38a42",
"FormType": {
"FormTypeId": "152d0b33-14be-4fe0-9455-2e3ea3f9870e",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "981553c6-5ed1-4b7d-a66c-4a3bd4ee6fe5",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "67413391-5236-4e89-ace5-69769fcf974d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "e85d3420-8962-4df7-8003-834a13fc0f2d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "49784c7d-13b4-4bbc-b712-633334acf644",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "ba61ec03-f02d-466d-bc7b-6ce530e2e02b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "152876e9-01a0-411c-8a53-7798ec767ef7",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "21f54cac-0167-4ddc-81c4-1b80293fc056",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "3e6b8444-8241-498a-ab9f-f7b0a2850e46",
"FormId": "411c53de-621b-4465-806a-cd1c1f13a459",
"FormTypeField": {
"FormTypeFieldId": "ae82c281-a23f-48c0-ab3e-d01c01c38a42",
"FormType": {
"FormTypeId": "152d0b33-14be-4fe0-9455-2e3ea3f9870e",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "981553c6-5ed1-4b7d-a66c-4a3bd4ee6fe5",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "67413391-5236-4e89-ace5-69769fcf974d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-03T16:22:20.4960531-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "e85d3420-8962-4df7-8003-834a13fc0f2d",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "49784c7d-13b4-4bbc-b712-633334acf644",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "ba61ec03-f02d-466d-bc7b-6ce530e2e02b",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "152876e9-01a0-411c-8a53-7798ec767ef7",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "21f54cac-0167-4ddc-81c4-1b80293fc056",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "9d00c59d-2c62-44e8-b84b-f458d5dffa78",
"FieldId": "0d6a13a5-6ff4-4369-a5d1-22e8a7a6f945",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "ec143d7d-cd28-4186-838e-f52ec5b96ed4",
"CreateDate": "2026-11-03T16:22:20.4960531-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-03T16:22:20.4960531-08:00",
"LastModifiedUser": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}